import Glibc

func minMax(array: [Int]) -> (min: Int, max: Int) {
    var min = array[0]
    var max = array[0]

   	// Two dots means NOT including the right number
	for index in 1..<array.count {
        if array[index] < min {
            min = array[index]
        }
		else if array[index] > max {
            max = array[index]
        }
    }
    return (min, max)
}

// Initialize an empty array of integers
var randomArray = [Int]()
// Put 10 random numbers in the array
for i in 1...10 {
	var number = random()
	randomArray.append(number)
}

let myMM = minMax(randomArray)
// Alternatively
var (myMin, myMax) = minMax(randomArray)

print("Max is \(myMM.max) and Min is \(myMM.min)")
print("Max is \(myMax) and Min is \(myMin)")